---
title: Настройка переадресации портов
template: docs
taxonomy:
    category: docs
routes:
  default: '/isp_box_config'
  aliases:
    - '/port_forwarding'
---

Если вы самостоятельно размещаетесь дома и у вас нет VPN, вам необходимо перенаправить порты на вашем домашнем маршрутизаторе. В приведенном ниже наброске предпринята попытка кратко описать роль и необходимость переадресации портов при настройке сервера дома.

[figure caption="Иллюстрация важности переадресации портов"]![](image://portForwarding_en.png)[/figure]

### 0. Диагностировать открытые порты

Новый инструмент диагностики, представленный в версии 3.8, можно использовать для диагностики правильности открытия портов.

### 1. Получите доступ к интерфейсу администрирования вашего маршрутизатора

Интерфейс администратора вашего маршрутизатора обычно доступен через [http://192.168.0.1](http://192.168.0.1) или [http://192.168.1.1](http://192.168.1.1). Затем вам, вероятно, потребуется ввести логин и пароль к панели роутера, предоставленных вашим провайдером. (P.S. возможно данные указаны на задней стороне роутера)

### 2. Найдите локальный IP-адрес вашего сервера

Определите, каков *локальный* IP вашего сервера, либо :
- из вашего интерфейса box / router, в котором может быть список подключенных устройств
- в веб-администраторе YunoHost, в разделе "Диагностика", "Подключение к Интернету", нажмите "Подробности" в отчете IPv4.
- из командной строки на вашем сервере, запустив `hostname -I`

Локальный IP-адрес обычно выглядит как `192.168.xx.yy` или `10.0.xx.yy`

Локальный IP-адрес должен быть статичным, чтобы переадресация портов, которую вы собираетесь настроить на следующем шаге, всегда достигала вашего сервера. Вы должны зайти в свой маршрутизатор и убедиться, что локальный IP-адрес вашего сервера является статическим, а не динамическим.

### 3. Переадресация портов

В интерфейсе администратора вашего маршрутизатора найдите что-то вроде "конфигурация маршрутизатора" или "переадресация портов". Названия различных типов коробок различаются.

Открытие перечисленных ниже портов необходимо для работы различных сервисов, доступных в YunoHost. Для каждого из них необходима переадресация "TCP". Некоторые интерфейсы относятся к "внешним" и "внутренним" портам: в нашем случае это одно и то же.

* Веб: 80 <small>(HTTP)</small>, 443 <small>(HTTPS)</small>
* [SSH](/ssh): 22
* [XMPP](/XMPP): 5222 <small>(клиенты)</small>, 5269 <small>(серверы)</small>
* [Почтовые](/email): 25, 587 <small>(SMTP)</small>, 993 <small>(IMAP)</small>

Если вы используете и модем, и маршрутизатор, то вам необходимо выполнить следующее:
1. сначала на модеме (поле, расположенном ближе всего к Интернету) создайте правила для перенаправления вышеуказанных портов на ваш маршрутизатор;
2. затем на маршрутизаторе (поле между модемом и вашими устройствами) создайте правила для пересылки вышеуказанных портов на статический IP-адрес вашего сервера.

! [fa=exclamation-triangle /] Некоторые интернет-провайдеры по умолчанию блокируют порт 25 (почтовый SMTP) для борьбы со спамом. Некоторые другие интернет-провайдеры не позволяют свободно использовать порт 80/443 (веб), хотя это менее вероятно. В зависимости от провайдера, возможно, удастся открыть их в интерфейсе администратора... Проверьте [this page](/isp) для получения дополнительной информации.

## Автоматическая переадресация портов / UPnP

Технология, называемая UPnP, доступна на некоторых интернет-блоках / маршрутизаторах и позволяет автоматически перенаправлять порты тому компьютеру, который в них нуждается. Если UPnP включен в вашей локальной сети, то выполнение этой команды должно автоматически открыть порт для вас :

```bash
sudo yunohost firewall reload
```

